Name:           jxp
Version:        1.6.1
Release:        3%{?dist}
Summary:        A script-processor that process JSP-like files
License:        EPL
Group:          Development/Tools
Url:            http://jxp.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.tar.gz
Source1:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Compile against system jars instead of downloaded ones
Patch0:         %{name}-1.6.1-build_xml.patch

Requires:       java >= 0:1.4.2

BuildRequires:  ant
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  onemind-commons-java, onemind-commons-invoke
BuildRequires:  tomcat5-servlet-2.4-api
BuildRequires:  junit
BuildRequires:  jakarta-commons-fileupload
BuildRequires:  dos2unix
BuildArch:      noarch
Requires(post): jpackage-utils
Requires(postun): jpackage-utils

BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
Jxp (Java scripted page) is a script-processor that process JSP-like files.
It contains a parser to parse the script file into an abstract syntax tree
and a tree processor (JxpProcessor) that will process the syntax tree to
execute the code using reflection API to produce output. The main uses of
Jxp are:
- as a script language engine to increase flexibility in the user application
- as a template engine to produce dynamic text output

Some of the main features of Jxp include:

- Java as script/template language. Why learn another one? ;)
- Run JSP-like code outside of servlet container
- support common java language 1.4 constructs (partial 1.5 syntax support
  on jdk 1.4)
- support common JSP constructs including import directive, declaration, EL
  etc (taglib not supported, yet)
- practical template sources management framework
- support caching of parsed syntax tree to eliminate reparse of template
- a servlet implementation to enable web-scripting
- extensible processing context for defining built-in function on the
  scripts


%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
%description javadoc
Documentation for the JPF library

%prep
%setup -q
%patch0 -p1
# Documentation is only shipped in the binary package
%setup -q -T -D -a 1
mv %{name}-%{version}/*.txt %{name}-%{version}/samples %{name}-%{version}/scripts .
rm -rf %{name}-%{version}
dos2unix *.txt scripts/* samples/*/*.jxp samples/web/*/*.xml

%build
export CLASSPATH=`build-classpath onemind-commons-java onemind-commons-invoke junit servletapi5 commons-fileupload ant`
ant dist

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_javadocdir}/
cp -r dist/docs/api ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p dist/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
%add_to_maven_depmap net.sf.jxp %{name} %{version} JPP %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%{_javadir}/*.jar
%config(noreplace) %{_mavendepmapfragdir}/%{name}
%doc Changes.txt License.txt README.txt samples scripts

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}

%changelog
* Tue Dec  9 2008 Mary Ellen Foster <mefoster at gmail.com> - 1.6.1-3
- Add dist to version
- Fix BuildRoot to follow the latest guidelines

* Mon Nov 24 2008 Mary Ellen Foster <mefoster at gmail.com> - 1.6.1-2
- Edit the description and summary
- Add some documentation taken from the binary download

* Wed Nov  5 2008 Mary Ellen Foster <mefoster at gmail.com> - 1.6.1-1
- Initial package
